#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x89,0x11,0xD2,0x0D,0x37,0xA8,0xD8,0x36,0x89,0x13,0xE3,0x0E,
		0x9D,0xDE,0x64,0x37,0x69,0x77,0xC1,0x42,0x49,0x01,0x3F,0x95,
		0xCE,0xB4,0x56,0x5B,0x50,0xDC,0xB0,0x6B,0xA3,0x7A,0x43,0x91,
		0xD2,0xA9,0xAE,0x61,0x6D,0x46,0xFD,0xA1,0xD3,0x41,0x20,0xB2,
		0xE4,0xB6,0x3A,0xCB,0x19,0x18,0xF7,0x5F,0x6A,0x30,0x52,0x58,
		0x6B,0xEE,0x4D,0x2B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
